|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
public interface Registry
This is the "Full" Registry interface. It contains not only the get/put behavior from CoreRegistry, but also APIs which control tags/comments/ratings/versions/etc.
| Method Summary | |
|---|---|
java.lang.String |
addComment(java.lang.String resourcePath,
Comment comment)
Adds a comment to a resource. |
void |
applyTag(java.lang.String resourcePath,
java.lang.String tag)
Applies the given tag to the resource in the given path. |
void |
editComment(java.lang.String commentPath,
java.lang.String text)
Change the text of an existing comment. |
Resource |
executeQuery(java.lang.String path,
java.util.Map parameters)
Executes a custom query which lives at the given path in the Registry. |
float |
getAverageRating(java.lang.String resourcePath)
Returns the average rating for the given resource. |
Comment[] |
getComments(java.lang.String resourcePath)
Get all comments for the given resource. |
LogEntry[] |
getLogs(java.lang.String resourcePath,
int action,
java.lang.String userName,
java.util.Date from,
java.util.Date to,
boolean recentFirst)
Returns the logs of the activities occured in the registy. |
int |
getRating(java.lang.String path,
java.lang.String userName)
Returns the rating given to the specified resource by the given user |
TaggedResourcePath[] |
getResourcePathsWithTag(java.lang.String tag)
Returns the paths of all Resources that are tagged with the given tag. |
Tag[] |
getTags(java.lang.String resourcePath)
Returns all tags used for tagging the given resource. |
java.lang.String[] |
getVersions(java.lang.String path)
Get a list of all versions of the resource located at the given path. |
java.lang.String |
importResource(java.lang.String suggestedPath,
java.lang.String sourceURL,
Resource metadata)
Creates a resource by fetching the resource content from the given URL. |
void |
rateResource(java.lang.String resourcePath,
int rating)
Rate the given resource. |
void |
removeTag(java.lang.String path,
java.lang.String tag)
Removes a tag on a resource. |
java.lang.String |
rename(java.lang.String currentPath,
java.lang.String newPath)
Move or rename a resource in the registry. |
void |
restoreVersion(java.lang.String versionPath)
Reverts a resource to a given version. |
| Methods inherited from interface org.wso2.registry.CoreRegistry |
|---|
delete, get, put, resourceExists |
| Method Detail |
|---|
java.lang.String importResource(java.lang.String suggestedPath,
java.lang.String sourceURL,
Resource metadata)
throws RegistryException
suggestedPath - path where we'd like to add the new resource. Although this path is
specified by the caller of the method, resource may not be actually
added at this path.sourceURL - where to fetch the resource contentmetadata - a template Resource
RegistryException - if we couldn't get or store the new resource
java.lang.String rename(java.lang.String currentPath,
java.lang.String newPath)
throws RegistryException
currentPath - current path of the resourcenewPath - where we'd like to move the reosurce
RegistryException - if something went wrong
java.lang.String[] getVersions(java.lang.String path)
throws RegistryException
path - path of a current version of a resource
RegistryException - if there is an error
void restoreVersion(java.lang.String versionPath)
throws RegistryException
versionPath - path of the version to be reverted. It is not necessary to provide the
path of the resource as it can be derived from the version path.
RegistryException - if there is an error
void applyTag(java.lang.String resourcePath,
java.lang.String tag)
throws RegistryException
resourcePath - Path of the resource to be tagged.tag - Tag. Any string can be used for the tag.
RegistryException - is thrown if a resource does not exist in the given path.
TaggedResourcePath[] getResourcePathsWithTag(java.lang.String tag)
throws RegistryException
tag - the tag to search for
RegistryException - if an error occurs
Tag[] getTags(java.lang.String resourcePath)
throws RegistryException
resourcePath - Path of the resource
RegistryException - is thrown if a resource does not exist in the given path.
void removeTag(java.lang.String path,
java.lang.String tag)
throws RegistryException
path - Resource path tagged with the given tag.tag - Name of the tag to be removed.
RegistryException - if there's a problem
java.lang.String addComment(java.lang.String resourcePath,
Comment comment)
throws RegistryException
resourcePath - Path of the resource to add the comment.comment - Comment instance for the new comment.
RegistryException - is thrown if a resource does not exist in the given path.
void editComment(java.lang.String commentPath,
java.lang.String text)
throws RegistryException
commentPath - path to comment resource ("..foo/r1;comment:1")text - new text for the comment.
RegistryException - Registry implementations may handle exceptions and throw
RegistryException if the exception has to be propagated to the
client.
Comment[] getComments(java.lang.String resourcePath)
throws RegistryException
resourcePath - path of the resource.
RegistryException - Registry implementations may handle exceptions and throw
RegistryException if the exception has to be propagated to the
client.
void rateResource(java.lang.String resourcePath,
int rating)
throws RegistryException
resourcePath - Path of the resource.rating - Rating value between 1 and 5.
RegistryException - Registry implementations may handle exceptions and throw
RegistryException if the exception has to be propagated to the
client.
float getAverageRating(java.lang.String resourcePath)
throws RegistryException
resourcePath - Path of the resource.
RegistryException - if an error occurs
int getRating(java.lang.String path,
java.lang.String userName)
throws RegistryException
path - Path of the resourceuserName - username of the user
RegistryException - if there is a problem
Resource executeQuery(java.lang.String path,
java.util.Map parameters)
throws RegistryException
path - Path of the query to execute.parameters - a Map of query parameters (name -> value)
RegistryException - depends on the implementation.
LogEntry[] getLogs(java.lang.String resourcePath,
int action,
java.lang.String userName,
java.util.Date from,
java.util.Date to,
boolean recentFirst)
throws RegistryException
resourcePath - If given, only the logs related to the resource path will be returned. If
null, logs for all resources will be returned.action - Only the logs pertaining to this action will be returned.userName - If given, only the logs for activities done by the given user will be
returned. If null, logs for all users will be returned.from - If given, logs for activities occured after the given date will be
returned. If null, there will not be a bound for the starting date.to - If given, logs for activities occured before the given date will be
returned. If null, there will not be a bound for the ending date.recentFirst - If true, returned activities will be most-recent first. If false,
returned activities will be oldest first.
RegistryException - if there is a problem
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||